/*
 * Copyright (c) 2019.
 *     Sylph runs Flutter integration tests on real devices in the cloud.
 *     Copyright (C) 2019  Maurice McCabe
 *
 *     This program is free software: you can redistribute it and/or modify
 *     it under the terms of the GNU General Public License as published by
 *     the Free Software Foundation, either version 3 of the License, or
 *     (at your option) any later version.
 *
 *     This program is distributed in the hope that it will be useful,
 *     but WITHOUT ANY WARRANTY; without even the implied warranty of
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *     GNU General Public License for more details.
 *
 *     You should have received a copy of the GNU General Public License
 *     along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

import 'package:sylph/runner.dart';
import 'package:sylph/sylph.dart';
import 'package:tool_base/tool_base.dart';

void main() async {
  String getVersion() => '0.6.0';
  await runInContext<void>(() async {
    await crashReportSender.sendReport(
      error: 'error',
      stackTrace: StackTrace.fromString('stacktrace'),
      getFlutterVersion: getVersion,
      command: 'command',
    );
    return ;
  }, overrides: <Type, Generator>{
    Platform: () => FakePlatform.fromPlatform(const LocalPlatform())
      ..environment = {
        'SYLPH_CRASH_SERVER_BASE_URL': 'http://dev.timecar.co:8080/cr/report',
      },
  });
}
